[Prev: MIMEDECODERS] | [Resources][TOC] | [Next: MIMEFILTERS]

# MIMEEXCS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<MIMEEXCS>`
  content-type
  content-type
  ...
  `</MIMEEXCS>`

Command-line Option

  N/A

## Description

MIMEEXCS defines the list of content-types to exclude from processing. The exclusion occurs before the data is processed to any filters registered via the MIMEFILTERS resource. If a message body part is excluded, the converted message will have a note that the part was excluded.

NOTE: | Base types can also be listed in order exclude all content-types with a give base. For example, `image/jpg` will only exclude JPEG images, but `image` will exclude all images.

## Default Setting

Nil.

## Resource Variables

N/A

## Examples

The following example excludes all binaries, images, and postscript data:

    <MIMEExcs>
    application/octet-stream
    application/postscript
    image
    </MIMEExcs>

The following is a very restrictive setting to minimize security risks and large data files:

    <MIMEExcs>
    application
    image
    audio
    video
    text/html
    </MIMEExcs>

## Version

2.4.9

## See Also

MIMEALTPREFS, MIMEFILTERS

[Prev: MIMEDECODERS] | [Resources][TOC] | [Next: MIMEFILTERS]